Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyTraceback

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyTraceback

All Implemented Interfaces:
  java.io.Serializable

public class PyTraceback
extends PyObject

A python traceback object.

See Also:
  Serialized Form

Field Summary
`PyFrame` | `tb_frame`
`int` | `tb_lineno`
`PyObject` | `tb_next`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyTraceback(PyFrame frame)`
`PyTraceback(PyTraceback next)`

Method Summary
`java.lang.String` | `dumpStack()`
`void` | `dumpStack(java.lang.StringBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### tb_next

    public PyObject tb_next

### tb_frame

    public PyFrame tb_frame

### tb_lineno

    public int tb_lineno

Constructor Detail

### PyTraceback

    public PyTraceback(PyFrame frame)

### PyTraceback

    public PyTraceback(PyTraceback next)

Method Detail

### dumpStack

    public void dumpStack(java.lang.StringBuffer buf)

### dumpStack

    public java.lang.String dumpStack()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage